[SciPy-dev] numpy 1.3.0 import error

Forrest Sheng Bao forrest.bao@gmail....
Mon Dec 7 04:30:21 CST 2009


Hi David,

Thanks for your reply. Please allow me ask a dummy question. How does
setup.py script know which compiler to use? Thru environmental variables?
Any where I can specify the compiler in setup.py or other configuration file
before building?

Cheers,
Forrest

On Mon, Dec 7, 2009 at 12:48 AM, David Cournapeau <
david@ar.media.kyoto-u.ac.jp> wrote:

> > The python comes as default of CentOS and the numpy is compiled in icc
> > by me. Could that be the reason of the error?
>
> It is of course caused by compiling with ICC. Compiling numpy with the
> non default compiler on your platform is a tricky business most of the
> times, you should use gcc on Linux if possible and don't want to waste
> time. It is possible to compile numpy with ICC, but you have to know
> what you are doing - if you are not familiar with compiling complex
> packages from sources, you should not do it.
>
> cheers,
>
> David
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-dev/attachments/20091207/ea0d7aed/attachment.html 


More information about the SciPy-Dev mailing list